.TH ANEW 1 "February 2024" "anew Manual"

.SH NAME
anew \- Append lines from stdin to a file, but only if they don't already appear in the file.

.SH SYNOPSIS
.B anew
.RI [ options ] [ file ]

.SH DESCRIPTION
The
.B anew
command appends lines from standard input to a file, but only if they do not already exist in the file. It also outputs new lines to stdout, making it similar to `tee -a` but removing duplicates.

.SH USAGE EXAMPLE
Here's an example usage scenario. Suppose a file called
.IR things.txt
contains a list of numbers, and
.IR newthings.txt
contains a second list of numbers, some of which appear in
.IR things.txt
and some of which do not. We can use
.B anew
to append the latter to
.IR things.txt :

.nf
.B cat things.txt
Zero
One
Two

.B cat newthings.txt
One
Two
Three
Four

.B cat newthings.txt | anew things.txt
Three
Four

.B cat things.txt
Zero
One
Two
Three
Four
.fi

Note that the new lines added to
.IR things.txt
are also sent to stdout, allowing redirection to another file:

.nf
.B cat newthings.txt | anew things.txt > added-lines.txt
.B cat added-lines.txt
Three
Four
.fi

.SH FLAGS
.RS
.TP
.B \-d
Display the output in stdout, but do not append to the file (dry-run mode).
.TP
.B \-q
Append to the file, but do not print anything to stdout (quiet mode).
.RE
.SH "SEE ALSO"
Project homepage:
.B https://github.com/tomnomnom/anew
.SH AUTHOR
This manpage was written by Marcos Rodrigues de Carvalho (aka oday)
.B <marcosrcarvalho42@gmail.com>.
